# Reference

## boost::redis::basic_connection::next_layer

(Deprecated) Returns a reference to the next layer.

### Synopsis

Declared in `<boost/redis/connection.hpp>`

    auto const&
    next_layer() const noexcept;

### Description

This function returns a dummy object for connections using UNIX domain sockets.

### Deprecated

Accessing the underlying stream is deprecated and will be removed in the next release. Use the other member functions to interact with the connection.

### Return Value

A reference to the underlying SSL stream object.

Created with MrDocs